%define upstream_name    Crypt-Cracklib
%define upstream_version 1.7

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 26
Summary:    Perl interface to Alec Muffett's Cracklib
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Crypt-Cracklib-1.6-fix-path.patch
BuildRequires: libcrack-devel
BuildRequires: perl(Pod::Coverage)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl-devel



%description
This is a simple interface to the cracklib library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p 1

%build
%__perl -I . Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 1.700.0-26.mga10
+ Revision: 2087890
- Rebuild against new perl

* Wed Nov 29 2023 tv <tv> 1.700.0-25.mga10
+ Revision: 2011415
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 1.700.0-24.mga9
+ Revision: 1861622
- Rebuild for Perl 5.36

* Sat Mar 19 2022 umeabot <umeabot> 1.700.0-23.mga9
+ Revision: 1799543
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.700.0-22.mga9
+ Revision: 1726462
- Rebuild for perl 5.34

* Wed Jun 24 2020 umeabot <umeabot> 1.700.0-21.mga8
+ Revision: 1599139
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.700.0-19.mga8
+ Revision: 1529428
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.700.0-18.mga8
+ Revision: 1433435
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.700.0-17.mga7
+ Revision: 1292544
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 1.700.0-16.mga7
+ Revision: 1248568
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.700.0-15.mga7
+ Revision: 1163594
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.700.0-14.mga7
+ Revision: 1149588
- Rebuild for perl ABI changes

* Mon Jul 24 2017 neoclust <neoclust> 1.700.0-13.mga7
+ Revision: 1129899
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 1.700.0-12.mga6
+ Revision: 1024509
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.700.0-11.mga6
+ Revision: 956923
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.700.0-10.mga6
+ Revision: 843901
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.700.0-9.mga5
+ Revision: 750197
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.700.0-8.mga5
+ Revision: 684033
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.700.0-7.mga5
+ Revision: 630951
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.700.0-6.mga4
+ Revision: 524234
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.700.0-5.mga4
+ Revision: 430607
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.700.0-4.mga3
+ Revision: 364832
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.700.0-3.mga3
+ Revision: 250389
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.700.0-2.mga2
+ Revision: 103787
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.700.0-1.mga1
+ Revision: 31817
- mageia rebuild
- imported package perl-Crypt-Cracklib


* Fri Dec 31 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.700.0-1mdv2011.0
+ Revision: 626819
- update to new version 1.7

* Mon Dec 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.600.0-1mdv2011.0
+ Revision: 625379
- new version

* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 1.500.0-1mdv2011.0
+ Revision: 561544
- update to 1.5

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.4-3mdv2011.0
+ Revision: 555712
- rebuild

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.4-2mdv2010.0
+ Revision: 430348
- rebuild

* Thu Aug 07 2008 Olivier Thauvin <nanardon@mandriva.org> 1.4-1mdv2009.0
+ Revision: 265364
- import perl-Crypt-Cracklib


